Bug 220703 - Review Request: libgtksourceviewmm - A C++ wrapper for the gtksourceview widget library
Summary: Review Request: libgtksourceviewmm - A C++ wrapper for the gtksourceview widg...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-12-23 17:53 UTC by Damien Durand
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-29 17:15:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damien Durand 2006-12-23 17:53:07 UTC
Spec URL:http://glive.tuxfamily.org/fedora/libgtksourceviewmm/libgtksourceviewmm.spec
SRPM URL: http://glive.tuxfamily.org/fedora/libgtksourceviewmm/libgtksourceviewmm-0.2.0-1.src.rpm
Description: libgtksourceviewmm is a C++ wrapper for the gtksourceview widget 
library. It offers all the power of gtksourceview with an interface 
familiar to c++ developers, including users of the gtkmm library

Comment 1 Mamoru TASAKA 2006-12-23 18:33:23 UTC
A quick note:
* /usr/lib/gtksourceviewmm-1.0 should be in -devel package.
* The existence of /usr/lib/pkgconfig/libgtksourceviewmm-1.0.pc and
  its contents means that -devel package should Require some
  other packages (pkgconfig + else).
  Check "Requires" section of
  http://fedoraproject.org/wiki/Packaging/Guidelines

Comment 2 Mamoru TASAKA 2006-12-23 18:37:58 UTC
Oops.. Also:
* COPYING must be in main package. I think AUTHORS should also
  be in main package (and also README?)
* ChangeLog, NEWS should be added in -devel package.

Comment 3 Damien Durand 2006-12-23 19:14:49 UTC
New Spec file :
http://glive.tuxfamily.org/fedora/libgtksourceviewmm/libgtksourceviewmm.spec
New SRPM file :
http://glive.tuxfamily.org/fedora/libgtksourceviewmm/libgtksourceviewmm-0.2.0-2.src.rpm

- add libdir/gtksourceviewmm-1.0 in devel package
- add Changelog and NEWS in devel package
- add gtkmm24-devel and gtksourceview-devel in devel package

Comment 4 Mamoru TASAKA 2006-12-23 19:33:59 UTC
Well,
* I think adding "pkgconfig" to Requires for -devel package is
  safe for .pc file
* I didn't notice it, however, this is licensed under LGPL, not
  GPL...

Comment 5 Mamoru TASAKA 2006-12-25 10:07:53 UTC
Additional comment:
Inclusion of m4 file usually means that -devel package
should require automake.

Comment 6 Mamoru TASAKA 2007-01-05 15:35:46 UTC
ping?

Comment 7 Damien Durand 2007-01-12 21:56:26 UTC
Sorry for the delay

SPEC file :
http://glive.tuxfamily.org/fedora/libgtksourceviewmm/libgtksourceviewmm.spec
SRPMS :
http://glive.tuxfamily.org/fedora/libgtksourceviewmm/libgtksourceviewmm-0.2.0-3.src.rpm

- add automake and pkgconfig in devel package

Comment 8 Mamoru TASAKA 2007-01-13 16:36:08 UTC
Okay. All issues are now fixed correctly.

One issue.
* Timestamps
  - -devel package contains many header files and keeping
     timestamps on these files are recommended.
     Please use
--------------------------------------- 
make INSTALL="install -c -p" DESTDIR=$RPM_BUILD_ROOT install
----------------------------------------

Other things are okay.
-----------------------------------------
  This package (libgtksoureviewmm) is APPROVED by me.

Comment 9 Mamoru TASAKA 2007-01-19 13:44:13 UTC
(Please close this bug as CLOSED NEXTRELEASE
 when rebuilding is done)

Comment 10 Mamoru TASAKA 2007-01-29 17:15:09 UTC
(Closing as NEXTRELEASE as this is already imported into
 FE-devel/6.
 If there is any problem, please let me know it.)


Note You need to log in before you can comment on or make changes to this bug.